Subject: RE: bug#7424: Tail -n doesn't work on Red-Hat Linux 5.5

From: "Parsons, Larry" <[email-masked]>
Date: Wed, 17 Nov 2010 13:03:03 -0600

Eric, All,

I just went to another box and entered in the command that you said shouldn't work. It works just the way you said it shouldn't. Oh, and guess what the help page is identical. Oh, and guess what I have never sent an email to this address before, and I didn't realize it was a public forum. However I did copy everyone you did.

So in my way of thinking about it, it was either wrong then or now. Please feel free to repond and teach me about netiquette while you just lack any kind of etiquette. Have a nice day.

$ tail --help
Usage: tail [OPTION]... [FILE]...
Print the last 10 lines of each FILE to standard output.
With more than one FILE, precede each with a header giving the file name.
With no FILE, or when FILE is -, read standard input.

Mandatory arguments to long options are mandatory for short options too.
      --retry              keep trying to open a file even if it is
                           inaccessible when tail starts or if it becomes
                           inaccessible later -- useful only with -f
  -c, --bytes=N            output the last N bytes
  -f, --follow[={name|descriptor}]
                           output appended data as the file grows;
                           -f, --follow, and --follow=descriptor are
                           equivalent
  -F                       same as --follow=name --retry
  -n, --lines=N            output the last N lines, instead of the last 10
      --max-unchanged-stats=N
                           with --follow=name, reopen a FILE which has not
                           changed size after N (default 5) iterations
                           to see if it has been unlinked or renamed
                           (this is the usual case of rotated log files)
      --pid=PID            with -f, terminate after process ID, PID dies
  -q, --quiet, --silent    never output headers giving file names
  -s, --sleep-interval=S   with -f, sleep for approximately S seconds
                           (default 1.0) between iterations.
  -v, --verbose            always output headers giving file names
      --help     display this help and exit
      --version  output version information and exit

If the first character of N (the number of bytes or lines) is a `+',
print beginning with the Nth item from the start of each file, otherwise,
print the last N items in the file.  N may have a multiplier suffix:
b 512, k 1024, m 1024*1024.

With --follow (-f), tail defaults to following the file descriptor, which
means that even if a tail'ed file is renamed, tail will continue to track
its end.  This default behavior is not desirable when you really want to
track the actual name of the file, not the file descriptor (e.g., log
rotation).  Use --follow=name in that case.  That causes tail to track the
named file by reopening it periodically to see if it has been removed and
recreated by some other program.

Report bugs to <[email-masked]>.

$ cat /proc/version
Linux version 2.6.9-78.0.22.ELsmp ([email-masked]) (gcc version 3.4.6 20060404 (Red Hat 3.4.6-10)) #1 SMP Fri Apr 24 12:48:19 EDT 2009

-----Original Message-----
From: Eric Blake [mailto:[email-masked]]
Sent: Wednesday, November 17, 2010 12:14 PM
To: Parsons, Larry
Cc: [email-masked]
Subject: Re: bug#7424: Tail -n doesn't work on Red-Hat Linux 5.5

On 11/17/2010 07:55 AM, Parsons, Larry wrote:

[not much]

> ________________________________
> This e-mail and files transmitted with it are confidential,

In general, it is considered poor netiquette to send an email to a publicly archived list with a disclaimer that cannot be enforced.
Furthermore, when you don't have any meaningful text other than your subject line, without giving any indication that you intended your subject line to be the body of the message, it creates a rather high spam score that makes your message more likely to be discarded.

You didn't describe "doesn't work" very well for use to diagnose your problem.  Listing an actual session of what you typed, what you got, and what you expected, would go a long way to making this a more meaningful bug report.  But my ESP senses are working overtime today, so I'm going to guess:

http://www.gnu.org/software/coreutils/faq/#Old-tail-plus-N-syntax-now-fails

You're probably trying to do 'tail +1 file', when you should instead be doing 'tail -n +1 file' (not quite the tail -n you mentioned in your subject line).

--
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org

This e-mail and files transmitted with it are confidential, and are intended solely for the use of the individual or entity to whom this e-mail is addressed. If you are not the intended recipient, or the employee or agent responsible to deliver it to the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you are not one of the named recipient(s) or otherwise have reason to believe that you received this message in error, please immediately notify sender by e-mail, and destroy the original message. Thank You.